#!/bin/sh

if [ ! -f /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ] ; then
  cat <<EOF
$0: cannot find the common-lisp-controller source.
This should not happen. Please report this
as a bug.
EOF
  exit 0
fi

# did the config file get upgraded?
if `grep -q common-lisp-controller.lisp /etc/common-lisp/cmucl/site-init.lisp /var/lib/cmucl/site-init.lisp 2> /dev/null`  ; then
  cat <<EOF2
The /etc/common-lisp/cmucl/site-init.lisp file is still using the 
old common-lisp-controller system. Please upgrade the file to the
new system, as used in the new config file that should be at
/etc/common-lisp/cmucl/site-init.lisp.dpkg-new
EOF2
  exit 0
fi

IMAGE=/usr/lib/cmucl/lisp.core
DIR=cmucl

case $1 in
    install-defsystem|install-clc)
    	    echo installing the clc...
	    ( cd /usr/lib/cmucl
	     [ -f $IMAGE ] && rm -f $IMAGE
	     /usr/bin/lisp  \
	       -core ${IMAGE%.core}-dist.core -load /usr/lib/cmucl/install-clc.lisp \
	       -nositeinit -noinit -batch -quiet  && \
               mv new-lisp.core $IMAGE || (echo FAILED ; ln ${IMAGE%.core}-dist.core $IMAGE ) )
    	    ;;
    *)
	    echo $0 unkown command $1
	    echo known commands: install-clc
	    exit 1
	    ;;
esac

exit 0
